<?php

/**
 * Created by PhpStorm.
 * User: admin
 * Date: 2018/8/20
 * Time: 10:42
 */

namespace App\Modules\RecommendBook\Services;

use App\Modules\RecommendBook\Models\Recommend;

class RecommendService
{
    public static function getRecommendIdsStatic(int $channel, string $type)
    {
        return Recommend::where([
            ['is_show', '=', 1],
            ['channel', '=', $channel],
            ['subject', '=', $type]
        ])->orderBy('sequence', 'asc')
            ->pluck('bid')
            ->all();
    }
}
